From 6460c5109303e0e4c227692074d0f47f4da29756 Mon Sep 17 00:00:00 2001
From: Chao Long <longchao@uniontech.com>
Date: Fri, 30 Oct 2020 15:26:00 +0800
Subject: [PATCH] comctl32: Check is a safe window.

Signed-off-by: Chao Long <longchao@uniontech.com>
---
 dlls/comctl32/listview.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dlls/comctl32/listview.c b/dlls/comctl32/listview.c
index e31c787c4a4..3726cd45665 100644
--- a/dlls/comctl32/listview.c
+++ b/dlls/comctl32/listview.c
@@ -5991,6 +5991,8 @@ static LRESULT EditLblWndProcT(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lPara
     TRACE("(hwnd=%p, uMsg=%x, wParam=%lx, lParam=%lx, isW=%d)\n",
 	  hwnd, uMsg, wParam, lParam, isW);
 
+    if ( !IsWindow(hwnd) ) return 0;
+
     switch (uMsg)
     {
 	case WM_GETDLGCODE:
-- 
2.20.1

